Add Significant Event for Individual

The Add Significant Event for Individual service creates a significant event record for the specified individual. The list of acceptable event_id values comes from the Significant Event List service.

Service Name

add_individual_significant_event

Required Parameters

NameType
idinteger
event_idinteger
datedatetime

Optional Parameters

None

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=add_individual_significant_event&event_id=1&id=48&date=2013-08-23"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="add_individual_significant_event" name="srv"/>
      <argument value="1" name="event_id"/>
      <argument value="48" name="id"/>
      <argument value="2013-08-23" name="date"/>
    </parameters>
  </request>
  <response>
    <service>add_individual_significant_event</service>
    <service_action>execute</service_action>
    <availability>public</availability>
    <individuals count="1">
      <individual id="48">
        <name>Larry</name>
        <campus id="1">Church of Cucumbers</campus>
        <significant_events>
          <significant_event id="1">
            <name>High School Graduation</name>
            <date>2013-08-23 00:00:00</date>
            <modifier id="0">System User</modifier>
            <modified>2014-01-28 10:25:37</modified>
          </significant_event>
        </significant_events>
      </individual>
    </individuals>
  </response>
</ccb_api>